Security update for u-boot

SUSE Security Update: Security update for u-boot
Announcement ID: SUSE-SU-2019:2474-1
Rating: moderate
References: #1144656 #1144675
Cross-References: CVE-2019-13104 CVE-2019-13106
Affected Products:
  • SUSE Linux Enterprise Module for Basesystem 15

An update that fixes two vulnerabilities is now available.

Description:

This update for u-boot fixes the following issues:
Security issues fixed:

  • CVE-2019-13106: Fixed stack buffer overflow via a crafted ext4 filesystem that may lead to code execution (bsc#1144656).
  • CVE-2019-13104: Fixed an underflow that could cause memcpy() to overwrite a very large amount of data via a crafted ext4 filesystem (bsc#1144675).

Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Module for Basesystem 15:
    zypper in -t patch SUSE-SLE-Module-Basesystem-15-2019-2474=1

Package List:

  • SUSE Linux Enterprise Module for Basesystem 15 (aarch64 ppc64le s390x x86_64):
    • u-boot-tools-2018.03-4.3.1
    • u-boot-tools-debuginfo-2018.03-4.3.1
  • SUSE Linux Enterprise Module for Basesystem 15 (aarch64):
    • u-boot-rpi3-2018.03-4.3.1

References: